Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0045081
TypeCategorySeverityReproducibilityDate SubmittedLast Update
design defect[Openbravo ERP] 09. Financial managementmajoralways2020-09-17 12:032020-10-20 09:32
ReportermaiteView Statuspublic 
Assigned ToTriage Finance 
PriorityurgentResolutionfixedFixed in VersionPR21Q1
StatusclosedFix in branchFixed in SCM revision
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned To
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0045081: Credit details appear in Aging report although prepaid order is closed

DescriptionAs the prepaid order is closed it can not be invoiced, so there is no way to clean the credit details from Aging reports
Steps To Reproduce1. Register Sales Order with total amount 100
2. Run Add Details process to register prepayment of 100
3. Close the order. Payment plan info will be updated showing an outstanding amount of -100
4. Register another Sales Order for same org and bp with total amount 150
5. Run Add Details process to register prepayment of 150 setting:
  5.1. payment amount will be 50
  5.2. select detail of 150
  5.3. select detail of -100
6. Run Receivables Aging Report and realize that 2 credit details are shown for this bp: one detail of 100 and another of 50. This is correct
7. Create Goods Shipment for the order of 150
8. Create Sales Invoice for the order of 150
9. Run Receivables Aging Report and realize that 2 credit details are still shown for this bp: one detail of 100 and another of -100 (as the detail of 150 has been invoiced, so it is not shown any more). These details are related with a Closed order, so there is no way to invoice them to be hidden in the report
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to feature request 0044881 newTriage Finance Closed orders prepaid with a total amount of 0 are shown in the Aging Balance 
related to design defect 0045143 closedinigo_lerga Outstanding Amount not updated when closing Sales Order in Oracle 

-  Notes
(0123292)
dmiguelez (developer)
2020-09-22 15:41

Given this scenario:
  - A Sales Order
  - Without an Invoice or a Goods Receipt
  - With an associated Payment (a Pre-Payment)

The Order is closed.
In this case, the generated credit is associated to the Order, however, the Order is already closed and no more actions can be done against it (like invoicing it)

That is why, if this situation happens, when closing the Order the generated credit should be moved to a different Payment and reflected as 'Generated Credit' properly.
(0123324)
hgbot (developer)
2020-09-23 13:38

Merge Request created: https://gitlab.com/openbravo/product/openbravo/-/merge_requests/179 [^]
(0123337)
inigo_lerga (developer)
2020-09-24 12:18
edited on: 2020-10-07 16:25

--Test Plan Mantis--

As the F&B International Group Admin role in Backend:
1º- Go to Sales Order window and create a new record with
    'Restaurantes Luna Llena, S.A.' as Business Partner.
2º- Go to Lines Tab and create a new record with 'Cola 0,5L'
    Product and 100 units as Ordered Quantity.
3º- Book the Sales Order.
4º- Press the Add Payment button and verify '95.41' (Expected Payment)
    as Actual Payment.
5º- Close the Sales Order. Check in Payment Plan Tab that Outstanding amount
    is '-95.41' (Negative Received Payment).
6º- Create a new Sales Order with 'Restaurantes Luna Llena, S.A.'
    as Business Partner.
7º- Go to Lines Tab and create a new record with 'Cola 0,5L'
    Product and 150 units as Ordered Quantity.
8º- Book the Sales Order.
9º- Press the Add Payment button and set '47.7' as Actual Payment.
    Select both records (143.11 and -95.43 of Outstanding Amount).
    Press Done.
10º- Go to Physical Inventory window and create a new record.
11º- Go to Lines Tab and create a anew record with 'Cola 0,5L' Product
     and 10000 as Quantity count.
12º- Process the Physical Inventory.
13º- Go to Create Shipments from Orders window and select the record with 150
    units of Cola.
    Press Process button.
14º- Go to Create Invoices from Orders window and select the record with 150
    units of Cola.
    Press Process button.
15º- Go to Receivables Aging Schedule window and press the View button.

#In this moment a Warning message is thrown letting the user know that there are no
records to show. This is correct as now the records (with same conditions and from the
same order) that have equal amounts but with oposite sign should counter each other
and not be considered for this report, as their result is 0.#

(0123792)
hgbot (developer)
2020-10-20 09:32

Directly closing issue as related merge request is already approved.

Repository: https://gitlab.com/openbravo/product/openbravo [^]
Changeset: 10a5e593bc37842b2cac48403b1177a260507600
Author: inigo_lerga <inigo.lerga@openbravo.com>
Date: 2020-10-20T07:30:56+00:00
URL: https://gitlab.com/openbravo/product/openbravo/-/commit/10a5e593bc37842b2cac48403b1177a260507600 [^]

fixes BUG-45081:Equal payments with oposite signs counteract

In Aging report, two records (with same conditions and from the
same order) that have equal amounts should counter each other
and not be considered as their result is 0.

---
M src/org/openbravo/erpCommon/ad_reports/AgingDao_data.xsql
---
(0123793)
hgbot (developer)
2020-10-20 09:32

Merge request merged: https://gitlab.com/openbravo/product/openbravo/-/merge_requests/179 [^]
(0123794)
hgbot (developer)
2020-10-20 09:32

Repository: https://gitlab.com/openbravo/product/openbravo [^]
Changeset: 423beb3de276d88b5111e28cdccf4a4cbed879de
Author: inigo_lerga <inigo.lerga@openbravo.com>
Date: 2020-10-20T07:30:56+00:00
URL: https://gitlab.com/openbravo/product/openbravo/-/commit/423beb3de276d88b5111e28cdccf4a4cbed879de [^]

related to ISSUE-45081: Applied Code Review changes

In previous commit some values were hardcoded when
they should be parameters. This patch fixes that.

---
M src/org/openbravo/erpCommon/ad_reports/AgingDao_data.xsql
---

- Issue History
Date Modified Username Field Change
2020-09-17 12:03 maite New Issue
2020-09-17 12:03 maite Assigned To => Triage Finance
2020-09-17 12:03 maite Modules => Core
2020-09-17 12:03 maite Triggers an Emergency Pack => No
2020-09-17 12:03 maite Issue Monitored: networkb
2020-09-17 17:31 ngarcia Relationship added related to 0044881
2020-09-22 15:41 dmiguelez Note Added: 0123292
2020-09-22 15:41 dmiguelez Type defect => design defect
2020-09-23 08:05 inigo_lerga Status new => scheduled
2020-09-23 13:38 hgbot Note Added: 0123324
2020-09-24 12:18 inigo_lerga Note Added: 0123337
2020-09-25 12:26 inigo_lerga Relationship added related to 0045143
2020-09-25 12:30 inigo_lerga Note Edited: 0123337 View Revisions
2020-10-07 16:25 inigo_lerga Note Edited: 0123337 View Revisions
2020-10-20 09:32 hgbot Resolution open => fixed
2020-10-20 09:32 hgbot Status scheduled => closed
2020-10-20 09:32 hgbot Fixed in Version => PR21Q1
2020-10-20 09:32 hgbot Note Added: 0123792
2020-10-20 09:32 hgbot Note Added: 0123793
2020-10-20 09:32 hgbot Note Added: 0123794


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker